Loading...
Searching...
No Matches
sdbus::AwaitableData< T > Struct Template Reference

## Public Types

using | result_type = std::conditional_t<std::is_void_v<T>, std::monostate, T>

## Public Member Functions

void | resumeCoroutine ()

## Public Attributes

std::variant< result_type, std::exception_ptr > | result
std::atomic< AwaitableState > | status {AwaitableState::NotReady}

The documentation for this struct was generated from the following file:

- include/sdbus-c++/Awaitable.h